UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Namespaces | Typedefs | Functions
convert.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/types/ref_vector.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/function.hpp>`
`#include <boost/operators.hpp>`
`#include <string>`

Go to the source code of this file.

## Classes
class | uhd::convert::converter
| A conversion class that implements a conversion from inputs -> outputs. More...
struct | uhd::convert::id_type
| Identify a conversion routine in the registry. More...

## Namespaces
namespace | uhd
namespace | uhd::convert

## Typedefs
typedef boost::function < converter::sptr(void)> | uhd::convert::function_type
| Conversion factory function typedef. More...
typedef int | uhd::convert::priority_type
| Priority of conversion routines. More...

## Functions
UHD_API bool | uhd::convert::operator== (const id_type &, const id_type &)
| Implement equality_comparable interface. More...
UHD_API void | uhd::convert::register_converter (const id_type &id, const function_type &fcn, const priority_type prio)
UHD_API function_type | uhd::convert::get_converter (const id_type &id)
UHD_API void | uhd::convert::register_bytes_per_item (const std::string &format, const size_t size)
UHD_API size_t | uhd::convert::get_bytes_per_item (const std::string &format)
| Convert an item format to a size in bytes. More...